cpw.mods.fml.client.config

## Class GuiEditArray

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - cpw.mods.fml.client.config.GuiEditArray

-     public class GuiEditArray
      extends GuiScreen

  This class is the base screen used for editing an array-type property. It provides a list of array entries for the user to edit. This screen is invoked from a GuiConfig screen by controls that use the EditListPropEntry IGuiConfigListEntry object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IConfigElement` | `configElement`
    `protected boolean` | `enabled`
    `protected GuiScreen` | `parentScreen`
    `protected int` | `slotIndex`
    `protected java.lang.String` | `titleLine2`
    `protected java.lang.String` | `titleLine3`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiEditArray(GuiScreen parentScreen, IConfigElement configElement, int slotIndex, java.lang.Object[] currentValues, boolean enabled)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton button)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `void` | `drawToolTip(java.util.List stringList, int x, int y)`
    `void` | `initGui()`
    `protected void` | `keyTyped(char eventChar, int eventKey)`
    `protected void` | `mouseClicked(int x, int y, int mouseEvent)`
    `protected void` | `mouseMovedOrUp(int x, int y, int mouseEvent)`
    `void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, mouseClickMove, onGuiClosed, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parentScreen

          protected GuiScreen parentScreen

    - #### configElement

          protected IConfigElement configElement

    - #### titleLine2

          protected java.lang.String titleLine2

    - #### titleLine3

          protected java.lang.String titleLine3

    - #### slotIndex

          protected int slotIndex

    - #### enabled

          protected boolean enabled

  - ### Constructor Detail

    - #### GuiEditArray

          public GuiEditArray(GuiScreen parentScreen,
                      IConfigElement configElement,
                      int slotIndex,
                      java.lang.Object[] currentValues,
                      boolean enabled)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### actionPerformed

          protected void actionPerformed(GuiButton button)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### mouseClicked

          protected void mouseClicked(int x,
                          int y,
                          int mouseEvent)

      Overrides:
        `mouseClicked` in class `GuiScreen`

    - #### mouseMovedOrUp

          protected void mouseMovedOrUp(int x,
                            int y,
                            int mouseEvent)

      Overrides:
        `mouseMovedOrUp` in class `GuiScreen`

    - #### keyTyped

          protected void keyTyped(char eventChar,
                      int eventKey)

      Overrides:
        `keyTyped` in class `GuiScreen`

    - #### updateScreen

          public void updateScreen()

      Overrides:
        `updateScreen` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### drawToolTip

          public void drawToolTip(java.util.List stringList,
                         int x,
                         int y)